Jump to content
Antoine F

PrestaShop 1.7 is now available!

Recommended Posts

No internet has been dominated for decades by linux standards. Only "peeky" corporation refuses to have specialists for this purpose. And invent some "evangile" to support their stuborn approach.

What next? Have the database on an SQLServer, and the ServerSide script engin been dotnet?

Sounds like they want something which is not a free LAMP e-commerce solution, at least not Prestashop

Share this post


Link to post
Share on other sites

@ doekia - at least you are right. It is strange that Windows users are using a 100% Prestashop unix solution. Perhaps there is nothing suitable for Windows world ? And windows with exchange, with by the way is nothing more than a paper construct and window-dressing, dominates the network world. I hate Windows for several reasons, and exchange is only a bumpy excuse for something microsoft could not solve better. For me on these modern days with other better solutions windows has no existential reasons anymore. Their development is only looking for what others are doing better and adopting than these solutions, or creating paid modules for to build bridges. But the primary intention is to bind customers by paid adhesion contracts.

 

Prestashop will never run without any tricky solutions out of the box on a Windows Server. Unix and Windows are complete diff. worlds and standards.

Share this post


Link to post
Share on other sites

...

Prestashop will never run without any tricky solutions out of the box on a Windows Server. Unix and Windows are complete diff. worlds and standards.

The problem here is not about what solution/issues Microsoft world represent. It is the end-user company that wan't to open a web vitrine on a solution with is *nix based on a *nix dominated word but want to to this using Windows. They want to participate a truck race with a motorbike and seems not to comprehend why it will fail.

Share this post


Link to post
Share on other sites

PS 1.7.2.2 was the version that finally turned the corner for me.

 

Upgraded to PS 1.7.2.3 today no trouble. 

 

Testing on PHP version: 7.1.9

MySQL version: 10.3.1-MariaDB

Windows Server 2016

 

 

Google page speed score of 100% using PHP OpCache and Google's pagespeed modules installed.

 

With HTTP/2 on SSL no longer need CCC of CSS & JS. No need to inline CSS or JS. 

 

With more and more hosting now using HTTP/2 we really need to start thinking differently about optimisation. Prestashop needs to start encouraging best practices for current optimization in the back office.

 

I love the Classic theme and plan to stick with it. 

Share this post


Link to post
Share on other sites

Any idea for sucessful upgrade from 1.6 to any version of 1.7? That special version of autoupgrade hangs on DB upgrade...

Share this post


Link to post
Share on other sites

PS 1.7.2.2 was the version that finally turned the corner for me.

 

Upgraded to PS 1.7.2.3 today no trouble. 

 

Testing on PHP version: 7.1.9

MySQL version: 10.3.1-MariaDB

Windows Server 2016

 

 

Google page speed score of 100% using PHP OpCache and Google's pagespeed modules installed.

 

With HTTP/2 on SSL no longer need CCC of CSS & JS. No need to inline CSS or JS. 

 

With more and more hosting now using HTTP/2 we really need to start thinking differently about optimisation. Prestashop needs to start encouraging best practices for current optimization in the back office.

 

I love the Classic theme and plan to stick with it. 

 

We are having great success (fun).  We have done select projects with 1.7 all with high quality 3rd party themes..

 

for dev we see finally a sensible framework we can better work  with.  all our new dev (widgets) are 1.7 centric....we have taken old works and made better works in 1.7....

 

for me, I'm happy to see a company  burn down the house to get better frameworks....happy day from KC 

Share this post


Link to post
Share on other sites

here is a shop we upgraded from 1.3!  it was 'horrible'.

 

https://weaverstreet.prestaheroeslab.com/  we installed/configured a Leo 1.7 Theme.  Note because of the difference between 1706 and 1710, make sure theme as dev on 1710 else you  will need to upgrade some .js files.  Otherwise we were happy to take somethinig fugly and make it great again. IMHO 1706 was boo boo by PS but I love how they 'carry on' to rectify.  one thing we suggest everyone to do  is where there are phone numbers / addresses,  link these to something that calls or pulls up map, especially  important for mobile,  all our client shops do. :)

Edited by El Patron

Share this post


Link to post
Share on other sites

here is a shop we upgraded from 1.3!  it was 'horrible'.

 

 

lol ... I can image they were happy to learn that they no longer needed to dial in through AOL! :)

 

Not to mention the new color images! Much better than the old black & white

Share this post


Link to post
Share on other sites

×